parser (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class parser

    java.lang.Object
      |
      +--org.python.core.parser

public class parser
extends java.lang.Object

Facade for the classes in the org.python.parser package.

Method Summary
`static PyException` | `fixParseError(java.io.BufferedReader reader, java.lang.Throwable t, java.lang.String filename)`
`static org.python.parser.SimpleNode` | `parse(java.io.InputStream istream, java.lang.String kind, java.lang.String filename, CompilerFlags cflags)`
`static org.python.parser.Node` | `parse(java.lang.String string, java.lang.String kind)`
`static org.python.parser.SimpleNode` | `partialParse(java.lang.String string, java.lang.String kind, java.lang.String filename, CompilerFlags cflags)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fixParseError

    public static PyException fixParseError(java.io.BufferedReader reader,
                                            java.lang.Throwable t,
                                            java.lang.String filename)

### parse

    public static org.python.parser.Node parse(java.lang.String string,
                                               java.lang.String kind)

### parse

    public static org.python.parser.SimpleNode parse(java.io.InputStream istream,
                                                     java.lang.String kind,
                                                     java.lang.String filename,
                                                     CompilerFlags cflags)

### partialParse

    public static org.python.parser.SimpleNode partialParse(java.lang.String string,
                                                            java.lang.String kind,
                                                            java.lang.String filename,
                                                            CompilerFlags cflags)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage